Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QInputMethodEvent.AttributeType

    java.lang.Object
      java.lang.Enum<QInputMethodEvent.AttributeType>
          com.trolltech.qt.gui.QInputMethodEvent.AttributeType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QInputMethodEvent.AttributeType>

Enclosing class:
  QInputMethodEvent

    public static enum QInputMethodEvent.AttributeType

extends java.lang.Enum<QInputMethodEvent.AttributeType>
implements QtEnumerator

Press link for info on QInputMethodEvent.AttributeType

Enum Constant Summary
`Cursor` If set, a cursor should be shown inside the preedit string at position start.
`Language` The variant contains a `QLocale` object specifying the language of a certain part of the preedit string.
`Ruby` The ruby text for a part of the preedit string.
`TextFormat` A `QTextCharFormat` for the part of the preedit string specified by start and length.

Method Summary
`static QInputMethodEvent.AttributeType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QInputMethodEvent.AttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QInputMethodEvent.AttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TextFormat

    public static final QInputMethodEvent.AttributeType TextFormat

  A `QTextCharFormat` for the part of the preedit string specified by start and length. value contains a `QVariant` of type `QTextFormat` specifying rendering of this part of the preedit string. There should be at most one format for every part of the preedit string. If several are specified for any character in the string the behaviour is undefined. A conforming implementation has to at least honor the backgroundColor, textColor and fontUnderline properties of the format.

### Cursor

    public static final QInputMethodEvent.AttributeType Cursor

  If set, a cursor should be shown inside the preedit string at position start. The length variable determines whether the cursor is visible or not. If the length is 0 the cursor is invisible. If value is a `QVariant` of type `QColor` this color will be used for rendering the cursor, otherwise the color of the surrounding text will be used. There should be at most one Cursor attribute per event. If several are specified the behaviour is undefined.

### Language

    public static final QInputMethodEvent.AttributeType Language

  The variant contains a `QLocale` object specifying the language of a certain part of the preedit string. There should be at most one language set for every part of the preedit string. If several are specified for any character in the string the behaviour is undefined.

### Ruby

    public static final QInputMethodEvent.AttributeType Ruby

  The ruby text for a part of the preedit string. There should be at most one ruby text set for every part of the preedit string. If several are specified for any character in the string the behaviour is undefined.

Method Detail

### values

    public static final QInputMethodEvent.AttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QInputMethodEvent.AttributeType c : QInputMethodEvent.AttributeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QInputMethodEvent.AttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QInputMethodEvent.AttributeType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD